import sys, os

from setuptools import setup, find_packages

if sys.version_info.major < 3:
    raise RuntimeError('deeno needs Python 3')

here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, 'README.rst')).read()

version = '0.1'

install_requires = []

setup(name='deeno',
    version=version,
    description="Deeno is not an ORM.",
    long_description=README,
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Topic :: Database :: Front-Ends',
        'Topic :: Software Development :: Libraries',
    ],
    keywords='database orm sql postgresql sqlite',
    author='Oben Sonne',
    author_email='obensonne@googlemail.com',
    url='http://pypi.python.org/pypi/deeno',
    license='MIT',
    packages=find_packages('src', exclude=['tests', 'tools']),
    package_dir={'': 'src'},
    include_package_data=True,
    zip_safe=False,
    install_requires=install_requires,
    entry_points={},
)
