from functools import wraps


def cachedproperty(meth):

    name = meth.__name__
    key = '_%s_cached_' % name

    @wraps(meth)
    def wrapper(obj):
        if not hasattr(obj, key):
            setattr(obj, key, meth(obj))
        return getattr(obj, key)

    return property(wrapper)
